<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
    <%@ page language="java" contentType="text/html; charset=ISO-8859-1"
             pageEncoding="ISO-8859-1" session="true" autoFlush="true"
             isThreadSafe="true" isErrorPage="false"
             import="soa.sca.samples.candystore.StoreService"
             import="soa.sca.samples.candystore.Record"
             import="soa.sca.samples.candystore.Product"
             import="com.ibm.websphere.sca.context.CurrentCompositeContext"
             import="com.ibm.websphere.sca.context.CompositeContext"
             import="soa.sca.samples.candystore.NotFoundException"
             import="java.io.PrintWriter"
             import="java.io.StringWriter"
             import="java.util.List" 
            %>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<title>Candy Store</title>

</head>

<%!

private static StoreService storeService = null;
private CompositeContext compositeContext = null;

public void jspInit() {

    if ( storeService == null) {      
        compositeContext = CurrentCompositeContext.getContext();
        storeService = (StoreService)compositeContext.getService(StoreService.class, "TDStoreComponent");
    }
    
}


%>

<%
	try {

            String catalogTable = "";
            
            
            List<Product> products = storeService.getCatalogProducts();
            for (Product product : products) {
               
              catalogTable += "<input name=\"" + product.getName() + "\" type=\"checkbox\" value=\"" + product.getPrice() + "\">" + product.getName() + " - " + product.getPrice()+ "<br>";
              
            }           
            
            
            String cartTotal = "";
            
            if (request.getParameter("AddToCart")!=null) {                   
                //update the shopping cart
                for (Product product : products) {
                    
                
                    if(request.getParameter(product.getName()) != null) {
                        cartTotal = "<b>Total</b>: " + storeService.add(product.getName(), 1);
                         
                    }
                
                }
                
                
                
            }

            if (request.getParameter("Checkout")!=null) {
                //update the shopping cart
            }
            
            
            if (request.getParameter("Empty")!=null) {
                //update the shopping cart
                storeService.deleteCart();
            }
            
            String cartTable = "";
            
            List<Record> cartProducts = storeService.getCartProducts();
            
            if (cartProducts.size() < 1){
                cartTable = "<i>Your shopping cart is empty</i>";

            } else {
                for (Record cartProduct : cartProducts) {
                    
                    cartTable += cartProduct.getKey() + ": " + ((Product)cartProduct.getData()).getName() + " - " + ((Product)cartProduct.getData()).getPrice()+ "<br>";
                }
             
            }
            
%>

<body bgcolor="">
<h1>CANDY STORE</h1>

  <div id="store">
   	<h2>Catalog</h2>
   	<form name="catalogForm" action="CandyStore.jsp">
		<div id="catalog" ><%=catalogTable%></div>
		<br>
   	<input type="submit" name="AddToCart" value="Add to Cart"></form>
 
 	<br>

    <hr>
     
   	<h2>Your Shopping Cart</h2>
    <div id="shoppingCart"><%=cartTable%></div>
	<br>
	<div id="total"><%=cartTotal%></div>
	<br>		
   	<form name="shoppingCartForm" action="Checkout.jsp">

		<input type="submit" name="Checkout" value="Checkout">

	</form>  

	<form name="shoppingCartForm" action="CandyStore.jsp">
			<input type="submit" name="Empty" value="Empty">  
    </form>
    
  </div>
</body>


<%    } catch(Exception e){
                  e.printStackTrace();
                  StringWriter sw= new StringWriter();
                  PrintWriter pw= new PrintWriter(sw);

                  e.printStackTrace(pw);
                  pw.flush();
                
%>
<br clear="all">
</font><PRE>
    Exception &quot;<%=e.getClass().getName()%>&quot; Exception message: &quot;<%=e.getMessage()%>&quot;<BR clear="all">
    <%=sw.toString() %>
</PRE>
<font face="Arial"> 
<% }%> </font>


</body>
</html>