package soa.sca.samples.candystore;

import java.util.List;

import org.osoa.sca.annotations.Remotable;


@Remotable
public interface Store {

	public List<Item> getCatalogItems();
	
	public List<Entry<String,Item>> getCartItems();
	
	public String add(String itemName, int quantity);
	
	public String checkoutCart();
	
	public void deleteCart() throws NotFoundException;
	
}
