package soa.sca.samples.candystore;

import java.util.List;

import org.osoa.sca.annotations.Remotable;

@Remotable
public interface Cart {

    public List<Entry<String, Item>> getAll();

    public Item get(String key) throws NotFoundException;

    public String post(String key, Item item);

    public void put(String key, Item item) throws NotFoundException;
    
    public void delete(String key) throws NotFoundException;

    public List<Entry<String, Item>> query(String queryString);
    
}
