package soa.sca.samples.multiservice;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;


@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "multiInfo", namespace = "http://greenthread1", propOrder = {
    "quote",
    "name",
    "count",
    "credentials",
    "confirmationNum"
})
public class MultiInfo {
	
	private String quote;
	private String name;
	private String count;
	private String credentials;
	private String confirmationNum;

	public MultiInfo() {
		
	}
	
	public MultiInfo(String quote, String name, String count, String credentials, String confirmationNum){
		this.quote = quote;
		this.name = name;
		this.count = count;
		this.credentials = credentials;
		this.confirmationNum = confirmationNum;
	}
	
	public String getCount() {
		return count;
	}


	public String getCredentials() {
		return credentials;
	}


	public String getName() {
		return name;
	}


	public String getQuote() {
		return quote;
	}


	public String getConfirmationNum() {
		return confirmationNum;
	}
	
	public void setCredentials(String c){
		this.credentials = c;
	}

	public void setName(String n){
		this.name = n;
	}
	public void setQuote(String q){
		this.quote = q;
	}
	public void setConfirmationNum(String cn){
		this.confirmationNum = cn;
	}
	public void setCount(String ct){
		this.count = ct;
	}
}
