package soa.sca.samples.multiservice;

import org.osoa.sca.annotations.Remotable;


/**
 * Service providing stock quotes 
 */

@Remotable
public interface MultiService {
    
  /**
   * 
   * @param name Users name
   * @param symbol Stock symbol
   * @return MultiInfo object
   */
  public MultiInfo getInfo(String name, String symbol) throws SCAServiceException;
  
  
}