<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- 
 *
 * This sample program is provided AS IS and may be used, executed, copied and
 * modified without royalty payment by customer (a) for its own instruction and
 * study, (b) in order to develop applications designed to run with an IBM
 * WebSphere product, either for customer's own internal use or for redistribution
 * by customer, as part of such an application, in customer's own products.
 *
 * Product 5724-J08, 5724-I63, 5724-H88, 5724-H89, 5655-N01, 5722-WE2
 * (C) COPYRIGHT International Business Machines Corp., 2006
 * All Rights Reserved
 * Licensed Materials - Property of IBM
 * 
 --%>

<HTML>
<HEAD>
    <%@ page language="java" contentType="text/html; charset=ISO-8859-1"
             pageEncoding="ISO-8859-1" session="true" autoFlush="true"
             isThreadSafe="true" isErrorPage="false"
             import="samples.mybank.AccountSummaryService"
             import="java.util.List"
             import="java.util.Iterator"
             import="java.io.PrintWriter"
             import="java.io.StringWriter"
             import="com.ibm.websphere.sca.context.CurrentCompositeContext"
             import="com.ibm.websphere.sca.context.CompositeContext"
            %>
    <META http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
    <META name="GENERATOR" content="IBM Software Development Platform">
    <TITLE>MyBank Sample </TITLE>
    <%
        String accountNumber = request.getParameter("accountNumber");
    %>
</HEAD>

<BODY>
<H2>Welcome to MyBank!</H2>

<P>&nbsp;</P>

<form action="MyBankWeb.jsp" method="get">Enter Account Number:&nbsp;&nbsp;&nbsp; 
                              <INPUT type="text" id="i1" name="accountNumber"
                                     size="40" maxlength="220"
                                     value="<%= null == accountNumber ? "100" : accountNumber %>"> <BR>
    <BR>
    <INPUT type="submit" name="submit" value="Submit"></FORM>
<BR>

<%!
   private static AccountSummaryService accountService = null;
   private CompositeContext compositeContext = null;

   public void jspInit() {
      if (accountService == null) {      
          compositeContext = CurrentCompositeContext.getContext();
          accountService = (AccountSummaryService)compositeContext.getService(AccountSummaryService.class, "AccountSummaryService");          
        }    
   }
%>

<%
    try {

        if (null != accountNumber) {         
           
            List<String> values = accountService.getAccountSummary(accountNumber);
            for (String summary : values) {
                %> <P> <%=summary%> <BR> 
<%
            }
            
%>
<HR>


    <%}
}catch(Exception e){
                  e.printStackTrace();
                  StringWriter sw= new StringWriter();
                  PrintWriter pw= new PrintWriter(sw);

                  e.printStackTrace(pw);
                  pw.flush();
                
%>
    Whoops!<BR clear="all">
<PRE>
    Exception &quot;<%=e.getClass().getName()%>&quot; Exception message: &quot;<%=e.getMessage()%>&quot;<BR clear="all">
    <%=sw.toString() %>
</PRE>
<%

    }%>
</BODY>
</HTML>
