/**
 * This sample program is provided AS IS and may be used, executed, copied and
 * modified without royalty payment by customer (a) for its own instruction and
 * study, (b) in order to develop applications designed to run with an IBM
 * WebSphere product, either for customer's own internal use or for redistribution
 * by customer, as part of such an application, in customer's own products.
 *
 * Product 5724-J08, 5724-I63, 5724-H88, 5724-H89, 5655-N01, 5722-WE2
 * (C) COPYRIGHT International Business Machines Corp., 2006
 * All Rights Reserved
 * Licensed Materials - Property of IBM
 */
package com.app.resumebank;

import java.util.Random;

/**
 * Bean implementation class for Enterprise Bean: ResumeBank
 */
public class ResumeBankBean implements javax.ejb.SessionBean {

    private javax.ejb.SessionContext mySessionCtx;

    /**
     * getSessionContext
     */
    public javax.ejb.SessionContext getSessionContext() {
        return mySessionCtx;
    }

    /**
     * setSessionContext
     */
    public void setSessionContext(javax.ejb.SessionContext ctx) {
        mySessionCtx = ctx;
    }

    /**
     * ejbCreate
     */
    public void ejbCreate() throws javax.ejb.CreateException {
    }

    /**
     * ejbActivate
     */
    public void ejbActivate() {
    }

    /**
     * ejbPassivate
     */
    public void ejbPassivate() {
    }

    /**
     * ejbRemove
     */
    public void ejbRemove() {
    }

    public String postResume(String resume) {
        if (resume == null) 
            return null;
        System.out.println("********** Invoking Target EJB Service to post resume ***********");
        System.out.println("Posting Resume in resume bank " + resume);
        //return cormimation number
        Random random = new Random();
        int randomNumber = random.nextInt();
        String confimationNo =  new Integer(randomNumber).toString();
        System.out.println("Resume posted. Confirmation number " + confimationNo);
        return confimationNo;
    }
}
