package soa.sca.samples.candystore.ejb3;

import java.io.Serializable;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity 
@Table(name="CART" )

public class CartItem implements Serializable{

	private static final long serialVersionUID = 7422574264557894633L;	
    @Id
	private String id;	
	private String name;	
	private String price;	
	public CartItem() 
	{		super();	
	}	
	public CartItem(String id, String name, String price) {	
		super();		
		this.id = id;		
		this.name = name;		
		this.price = price;	
	}	
	@Override	
	public String toString() {
		return "CartItem: " + getId() + " Name " + getName() + " Price " + getPrice();	
	}	
	
	public String getName() {		return name;	}	
	
	public void setName(String name) {		this.name = name;	}	
	
	public String getId() {		return id;	}	
	
	public void setId(String id) {		this.id = id;	}	
	
	public String getPrice() {		return price;	}	
	
	public void setPrice(String price) {		this.price = price;	}  

}
