package soa.sca.samples.candystore.ejb3;

import java.util.List;

import javax.ejb.Remote;

import soa.sca.samples.candystore.Entry;
import soa.sca.samples.candystore.Item;
import soa.sca.samples.candystore.NotFoundException;

@Remote

public interface RemoteCart {
	
    public List<Entry<String, Item>> getAll();

    public Item get(String key) throws NotFoundException;

    public String post(String key, Item item);

    public void put(String key, Item item) throws NotFoundException;
    
    public void delete(String key) throws NotFoundException;

    public List<Entry<String, Item>> query(String queryString);
	
    public String getTotal();

}
