<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
    <%@ page language="java" contentType="text/html; charset=ISO-8859-1"
             pageEncoding="ISO-8859-1" session="true" autoFlush="true"
             isThreadSafe="true" isErrorPage="false"
             import="soa.sca.samples.candystore.StoreService"
             import="soa.sca.samples.candystore.Record"
             import="soa.sca.samples.candystore.Product"
             import="com.ibm.websphere.sca.context.CurrentCompositeContext"
             import="com.ibm.websphere.sca.context.CompositeContext"
             import="soa.sca.samples.candystore.NotFoundException"
             import="java.io.PrintWriter"
             import="java.io.StringWriter"
             import="java.util.List" 
            %>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<title>Candy Store</title>
	
</head>

<%!

private static StoreService storeService = null;
private CompositeContext compositeContext = null;

public void jspInit() {

    if ( storeService == null) {      
        compositeContext = CurrentCompositeContext.getContext();
        storeService = (StoreService)compositeContext.getService(StoreService.class, "TDStoreComponent");
    }
    
}


%>
<%
	try {
           
            String cartTotal = "";
            String cartTable = "";
            
            List<Record> cartProducts = storeService.getCartProducts();
            
            if (cartProducts.size() < 1){
                cartTable = "<i>Your shopping cart is empty</i>";

            } else {
                for (Record cartProduct : cartProducts) {
                    //for (int i=0; i < cartProducts.length ; i++) { 
                    cartTable += cartProduct.getKey() + ": " + ((Product)cartProduct.getData()).getName() + " - " + ((Product)cartProduct.getData()).getPrice()+ "<br>";
                }
             
            }
            
            cartTotal = storeService.getTotal();
            
            
            if (request.getParameter("Checkout")!=null) {
                //update the shopping cart
                storeService.deleteCart();
            }
            
%>

<body bgcolor="">
<h1>CANDY STORE</h1>

<p><br></p>
<h2>Thank you for shopping with us!</h2>
<div id="store">
 	<br>
    <hr>
     
   	<h3>Your Shopping Cart</h3>
    <div id="shoppingCart"><%=cartTable%></div>
	<br>
	<div id="total"><b>Total: </b> <%=cartTotal%></div>
	<br>		
   	<form name="checkoutForm" action="CandyStore.jsp">

		<input type="submit" name="ContinueShopping" value="Start Shopping Again">

	</form>  
    <h4>Your shopping cart will be cleared once you leave this page.</h4>
	
  </div>
</body>


<%    } catch(Exception e){
                  e.printStackTrace();
                  StringWriter sw= new StringWriter();
                  PrintWriter pw= new PrintWriter(sw);

                  e.printStackTrace(pw);
                  pw.flush();
                
%>
<br clear="all">
</font><PRE>
    Exception &quot;<%=e.getClass().getName()%>&quot; Exception message: &quot;<%=e.getMessage()%>&quot;<BR clear="all">
    <%=sw.toString() %>
</PRE>
<font face="Arial"> 
<% }%> </font>


</body>
</html>