/**
 * This sample program is provided AS IS and may be used, executed, copied and
 * modified without royalty payment by customer (a) for its own instruction and
 * study, (b) in order to develop applications designed to run with an IBM
 * WebSphere product, either for customer's own internal use or for redistribution
 * by customer, as part of such an application, in customer's own products.
 *
 * Product 5724-J08, 5724-I63, 5724-H88, 5724-H89, 5655-N01, 5722-WE2
 * (C) COPYRIGHT International Business Machines Corp., 2006
 * All Rights Reserved
 * Licensed Materials - Property of IBM
 */
package com.app.resumebank;

import java.rmi.RemoteException;

/**
 * Remote interface for Enterprise Bean: ResumeBank
 */
public interface ResumeBank extends javax.ejb.EJBObject {

    /** 
     * This method posts the resume and returns the confirmation number
     *   
     * @param String candidate resume
     * @return Confirmation number for the posting
     */
    String postResume(String resume) throws RemoteException;
}
