# This sample program is provided AS IS and may be used, executed, copied and
# modified without royalty payment by customer (a) for its own instruction and
# study, (b) in order to develop applications designed to run with an IBM
# WebSphere product, either for customer's own internal use or for redistribution
# by customer, as part of such an application, in customer's own products.
#
# Product 5724-J08, 5724-I63, 5724-H88, 5724-H89, 5655-N01, 5722-WE2
# (C) COPYRIGHT International Business Machines Corp., 2006
# All Rights Reserved
# Licensed Materials - Property of IBM

import sys

def installBLA(blaName, source):
	try:
		blaID = AdminTask.createEmptyBLA('-name ' + blaName)
		assetID = AdminTask.importAsset('-source ' + source + ' -storageType FULL')
		AdminTask.addCompUnit('-blaID ' + blaID + ' -cuSourceID ' + assetID)
		AdminConfig.save()
		print 'BLA', blaName, 'created successfully!'
	except:
		print 'Error creating BLA', blaName, '.Exception information', sys.exc_type, sys.exc_value

arglen = len(sys.argv)

if arglen == 2:
	name = sys.argv[0]
	src = sys.argv[1]
	installBLA(name, src)
else:
	print 'Invalid number of parameters. Usage: createBLA.py [blaName] [source]'
